<div class="content example-container" role="main" [class.example-is-mobile]="mobileQuery.matches">
  <mat-toolbar color="primary" class="example-toolbar">
    <button mat-icon-button (click)="snav.toggle()">
      <mat-icon>menu</mat-icon>
    </button>
    <h1 class="example-app-name" routerLink="/">Glossary</h1>
    <app-search-form></app-search-form>
    <button id="add" matTooltip="Define word" mat-icon-button color="accent" aria-label="Example icon button with a menu icon" routerLink="define-word">
      <mat-icon>add</mat-icon>
    </button>
    <button id="add-category" matTooltip="Add category" mat-icon-button color="accent" aria-label="Example icon button with a menu icon" routerLink="define-word">
      <mat-icon>class</mat-icon>
    </button>
  </mat-toolbar>
  <mat-sidenav-container class="example-sidenav-container" [style.marginTop.px]="mobileQuery.matches ? 56 : 0">
    <mat-sidenav #snav [mode]="mobileQuery.matches ? 'over' : 'side'"
                 [fixedInViewport]="mobileQuery.matches" fixedTopGap="56">
      <mat-nav-list>
        <a mat-list-item routerLink="." *ngFor="let category of categories">{{category.name}}</a>
      </mat-nav-list>
    </mat-sidenav>
    <mat-sidenav-content>
      <router-outlet></router-outlet>
    </mat-sidenav-content>
  </mat-sidenav-container>
</div>

<router-outlet></router-outlet>
